[Overview][Constants][Procedures and functions][Index] | Reference for unit 'dateutils' (#rtl)

# MinuteOfTheWeek

Calculate the number of minutes elapsed since the start of the week

## Declaration

Source position: dateutil.inc line 203

`function MinuteOfTheWeek(`
`const AValue: TDateTime`
`):Word;`

## Arguments

`AValue` |  | Moment in the week.

## Function result

Number of seconds elapsed since the start of the week

## Description

MinuteOfTheWeek returns the number of minutes that have passed since the start of the week (00:00:00) till the moment indicated by AValue. This is a zero-based number, i.e. 00:00:59 on the first day of the week will return 0.

For an example, see the DayOfTheWeek function.

## See also

MinuteOfTheYear |  | Calculate the number of minutes elapsed since the start of the year
MinuteOfTheMonth |  | Calculate number of minutes elapsed since the start of the month.
MinuteOfTheDay |  | Calculate the number of minutes elapsed since the start of the day
MinuteOfTheHour |  | Calculate the number of minutes elapsed since the start of the hour
DayOfTheWeek |  | Extracts the day of the week from a DateTime value
HourOfTheWeek |  | Calculate the number of hours elapsed since the start of the week.
SecondOfTheWeek |  | Calculate the number of seconds elapsed since the start of the week
MilliSecondOfTheWeek |  | Calculate the number of milliseconds elapsed since the start of the week

Documentation generated on: Feb 26 2014